## whereami 0.3.34-0.2

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: all
 Suggests: pcmcia-cs, fping, net-tools, ifplugd, ethtool, squid | oops
 Recommends: wireless-tools, resolvconf, iputils-arping
-Depends: perl, debconf (>= 1.2.9) | debconf-2.0, fping | iputils-ping | netbase | dhcp-client
+Depends: ${misc:Depends}, perl, fping | iputils-ping | netbase | dhcp-client
 Description: Automatically reconfigure your (laptop) system for a new location
  whereami is a set of useful scripts and a coordinating system for
  automatically re-locating your computer within the current (network)
