=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	dh_testroot
 	dh_clean -k
 	$(RM) -r debian/$(package)
-	dh_installdebconf
 # Install directories
 	dh_installdirs DEBIAN etc etc/init.d etc/$(package) \
 							etc/$(package) etc/apm etc/apm/scripts.d \
@@ -51,7 +50,7 @@
 							usr/share/doc/$(package)/html/images \
 							usr/share/doc/$(package)/patches/ \
 							usr/share/man usr/share/man/man8 \
-							var/run/whereami var/lib/whereami
+							var/lib/whereami
 
 # Install files
 	install bin/$(package) debian/$(package)/usr/sbin/.
