## whereami 0.3.35

=== Makefile ===

all:
	cd man; $(MAKE)
