=== man/Makefile ===

all: whereami.8 detect.conf.5 whereami.conf.5

whereami.8: whereami.sgml
	docbook-to-man $< > $@

detect.conf.5: detect.conf.sgml
	docbook-to-man $< > $@

whereami.conf.5: whereami.conf.sgml
	docbook-to-man $< > $@
