=== debian/changelog ===
whereami (0.3.35) unstable; urgency=medium

  [ наб ]
  * This is a native package! 0.3.34-0.1 came right after 0.3.34
  * debhelper: >= 10 -> = 13
  * d/rules: no sequencer -> dh
    + patches moved from d/*.patch to d/doc/patches/
  * Drop /etc/dhcp3 (already ship identical in /etc/dhcp)
    (lintian package-installs-into-obsolete-dir)
  * d/copyright: DEP-5, inline d/gplcopynote
  * d/whereami.init: drop compat with /u/sbin/whereami.sh (removed in 2007)
  * d/whereami.prerm: drop `pwd`, account for cd failure, proper quoting
  * d/whereami.prerm: drop reference to /usr/doc/whereami, removed in 2005
  * d/whereami.network-hook: proper quoting, ` -> $(
  * debian/whereami.dhclient3-exit-hook: exec, no needless subshell
  * d/notes: rename to d/README.source
  * d/whereami.service: add (Closes: #1039418)
    + Pre-Depends: ${misc:Pre-Depends}
  * init.d-script-does-not-source-init-functions
  * Rules-Requires-Root: no
  * Standards-Version: 3.9.8 -> 4.7.0

  [ Andreas Tille ]
  * Maintainer: Debian QA Group <packages@qa.debian.org>
  * Vcs-Git: https://salsa.debian.org/debian/whereami.git

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 23 Nov 2024 15:45:01 +0100
