=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: whereami
 Section: net
-Priority: extra
-Maintainer: Andrew McMillan <debian@mcmillan.net.nz>
-Standards-Version: 3.6.1.0
-Build-Depends: debhelper (>= 4.1.16)
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: docbook-to-man
+Vcs-Browser: https://salsa.debian.org/debian/whereami
+Vcs-Git: https://salsa.debian.org/debian/whereami.git
+Rules-Requires-Root: no
 
 Package: whereami
 Architecture: all
-Suggests: pcmcia-cs, fping, net-tools, ifplugd, ethtool, squid | oops
+Suggests: fping, net-tools, ifplugd, ethtool, squid | oops
 Recommends: wireless-tools, resolvconf, iputils-arping
-Depends: ${misc:Depends}, perl, fping | iputils-ping | netbase | dhcp-client
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, perl, fping | iputils-ping | netbase | dhcp-client | isc-dhcp-client
 Description: Automatically reconfigure your (laptop) system for a new location
  whereami is a set of useful scripts and a coordinating system for
  automatically re-locating your computer within the current (network)
