## whereami 0.3.36

=== debian/changelog ===
whereami (0.3.36) unstable; urgency=medium

  * QA upload.
  * debian/control:
    - Bump Standards-Version to "4.7.2".
    - Remove Rules-Requires-Root field.
  * debian/copyright: Update packaging copyright information.
  * debian/whereami.service: Add Documentation key.
  * man/detect.conf.sgml: Fix typos.

 -- Gustavo Quadri <gustavoquadri@alunos.utfpr.edu.br>  Sun, 30 Nov 2025 22:37:16 -0300
