=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: docbook-to-man
 Vcs-Browser: https://salsa.debian.org/debian/whereami
 Vcs-Git: https://salsa.debian.org/debian/whereami.git
-Rules-Requires-Root: no
 
 Package: whereami
 Architecture: all
