## whereami 0.3.37

=== debian/changelog ===
whereami (0.3.37) unstable; urgency=medium

  * QA upload.
  * Drop fping from Suggests, its already in Depends
  * Fix incorrect alternates in Depends
  * Switch isc-dhcp-client to dhcpcd-base as first dhcp-client alternative

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 Jan 2026 14:49:52 +0100
