=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 
 Package: whereami
 Architecture: all
-Suggests: fping, net-tools, ifplugd, ethtool, squid | oops
+Suggests: net-tools, ifplugd, ethtool, squid | oops
 Recommends: wireless-tools, resolvconf, iputils-arping
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, perl, fping | iputils-ping | netbase | dhcp-client | isc-dhcp-client
+Depends: ${misc:Depends}, perl, fping | iputils-ping, netbase, dhcp-client | dhcpcd-base
 Description: Automatically reconfigure your (laptop) system for a new location
  whereami is a set of useful scripts and a coordinating system for
  automatically re-locating your computer within the current (network)
